/*
 * utility_test.h
 */


#ifndef UTILITY_TEST_H_
#define UTILITY_TEST_H_

//  ======== Includes =======================================================
#include "stdio.h"
#include "stdlib.h"

//  ======== Prototypes =====================================================
int GetSizeFromFile( char* filename );
void GetSignalValueFromFile( char* filename, int N, float* signal );
void SignalPrintOut( int N, float* signal );
void SignalPrintIn( int N, float* signal );
float * SignalAlloc( int N );
void SignalFree( float* signalIn );
void SaveSignalToFile( char* filename, int N, float* signal );


#endif /* UTILITY_TEST_H_ */
